/**
	Webana common functions

	Jan Raszyk
	2007
*/

namespace wbn {

// strips server name out of the input URL
// e.g. from "http://www.example.com/page/" returns "www.example.com"
extern std::string GetHostFromURL(const std::string & url);

// check if 'string' matches to the wildcard mask 'mask'
extern bool WildCardMatch(const char* mask, const char* string);

// combines absolute and new relative part of URL and returns new absolute URL
std::string GetAbsoluteURL(const std::string & base, const std::string & relative);

// checks if 'str' matches against all masks specified in the vector
bool WCVectorMatch(const std::vector<std::string> & masks, const std::string & str);

// checks if the given URL starts with http:// substring
bool IsHTTP(const std::string & url);

// returns true if the given url is a toplevel url, is link to the root of baseurl (like http://example.com/)
bool IsLinkToToplevel(const std::string & url, const std::string & baseurl);

// gets the relative part of the URL (after the server name)
std::string GetPathFromURL(const std::string & url);

};
