/**
    TCP client module

	Responsible for connecting via TCP and sending/receiving data
    Jan Raszyk, April 2007
*/
#pragma once

namespace wbn {

extern int StartWSA(void);

class TCPClient
{
	bool		good;
	bool		closed;
	unsigned	bytes_in;
	unsigned	bytes_out;
    SOCKET		sock;	// windows socket associated with the current instance
	fd_set		readfds;

public:
	TCPClient();		/* constructor */
	~TCPClient();		/* destructor */

	bool		Good() const;
	bool		Closed() const;
	unsigned	Transferred(void) const;

	void		Connect(const std::string & host, int port);
	int 		Recv(char *, int);
	void		Send(const char*, int);

};	// class TPCClient

};	// namespace wbn
