// wbn_console.cpp : main project file.
/**

	Web Analyzer console

	Sub-project for testing purposes

*/

#include "stdafx.h"
#include "html_parse.h"
#include "tcpclient.h"
#include "downloader.h"
#include "common.h"

using namespace System;
using namespace std;
using namespace wbn;

void TestWC(const char *mask, const char *cstr)
{
    cout << cstr << " matches " << string(mask) << ":" << (WildCardMatch(mask,cstr) ? "true" : "false") << endl;
}

int main(array<System::String ^> ^args)
{
    string url;
	
	cout << "Starting WSA... ";
    if (StartWSA() < 0) return 0;
    cout << "done" << endl;

	cin >> url;

	while (url.compare("exit") && url.compare("quit"))
	{
		HtmlPageGetter hg;
		hg.StartDownload(url, 0);

		while (!hg.Finished())
		{
			Sleep(50);
		}

		cout << "Download finished" << endl;
		vector<string> links;

		if (hg.GetState() == LS_READY)
		{
			string css;
			cout << "Parsing DOM...";
			HTML_DOMTree *dom = new HTML_DOMTreeCSSDump(hg.htmltext.c_str(), css);
			dom->Parse();
			cout << "done" << endl;

			cout << "Extracting links...";
			hg.GetLinks(links);
			cout << "done" << endl;

			cout << css;

			for (vector<string>::const_iterator ci = links.begin(); ci != links.end(); ci++)
			{
				cout << GetAbsoluteURL(url, *ci) << endl;
			}
		}
		else
		{
			cout << "Error when downloading" << endl;
		}

		cin >> url;
	}

    WSACleanup();
    return 0;
}
